Bug 253597 - Wrong colours connecting to OSX server
Wrong colours connecting to OSX server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk-vnc (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 15:03 EDT by Bastien Nocera
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 19:44:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot.png (704.95 KB, image/png)
2007-08-20 15:03 EDT, Bastien Nocera
no flags Details
Fix endianness handling, and BGR pixel formats (4.53 KB, patch)
2007-08-22 12:10 EDT, Daniel Berrange
no flags Details | Diff
Fix endianness handling, and BGR pixel formats (4.36 KB, patch)
2007-08-22 12:19 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2007-08-20 15:03:51 EDT
gtk-vnc-0.1.0-3.fc8 on x86_64
OXSVNC 1.71 on MacOS X 10.4.10 (iirc)

The colours are wrong (as per screenshot). The background is supposed to be blue.
Comment 1 Bastien Nocera 2007-08-20 15:03:54 EDT
Created attachment 161913 [details]
Screenshot.png
Comment 2 Daniel Berrange 2007-08-22 12:10:54 EDT
Created attachment 162073 [details]
Fix endianness handling, and BGR pixel formats

The attached patch should fix GTK-VNC's handling of endianness differences
between client & server by reversing the pixel shifts. It also fixes handling
of BGR pixel formats by removing some redundant & wrong logic.
Comment 3 Bastien Nocera 2007-08-22 12:14:41 EDT
Comment on attachment 162073 [details]
Fix endianness handling, and BGR pixel formats

<snip>
>-#define DEBUG 0
>+#define DEBUG 1

Is debug supposed to be left on?
Comment 4 Daniel Berrange 2007-08-22 12:19:56 EDT
Created attachment 162075 [details]
Fix endianness handling, and BGR pixel formats

No DEBUG wasn't supposed to be left on.
Comment 5 Daniel Berrange 2007-08-22 18:50:25 EDT
Committed to CVS, build pending....

* Wed Aug 22 2007 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-4.fc8
- Fix mixed endian handling & BGR pixel format (rhbz #253597)
- Clear widget areas outside of framebuffer (rhbz #253599)
- Fix off-by-one in python demo
Comment 6 Daniel Berrange 2007-08-22 19:44:36 EDT
Build complete, in rawhide.

Note You need to log in before you can comment on or make changes to this bug.